## org.apache.tools.ant.types
Class CommandlineJava.SysProperties

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Environment
            |
            +--org.apache.tools.ant.types.CommandlineJava.SysProperties

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  CommandlineJava

public static class CommandlineJava.SysProperties
extends Environment
implements java.lang.Cloneable

Specialized Environment class for System properties

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.types.Environment
`Environment.Variable`

Field Summary

Fields inherited from class org.apache.tools.ant.types.Environment
`variables`

Constructor Summary
`CommandlineJava.SysProperties()`

Method Summary
`void` `addDefinitionsToList(java.util.ListIterator listIt)` add all definitions (including property sets) to a list
`void` `addSyspropertyset(PropertySet ps)` add a propertyset to the total set
`java.lang.Object` `clone()` deep clone
`java.lang.String[]` `getVariables()` get the properties as an array; this is an override of the superclass, as it evaluates all the properties
`void` `restoreSystem()` restore the system properties to the cached value
`void` `setSystem()` cache the system properties and set the system properties to the new values
`int` `size()` get the size of the sysproperties instance.

Methods inherited from class org.apache.tools.ant.types.Environment
`addVariable`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandlineJava.SysProperties

    public CommandlineJava.SysProperties()

Method Detail

### getVariables

    public java.lang.String[] getVariables()
                                    throws BuildException

  get the properties as an array; this is an override of the superclass, as it evaluates all the properties

  Overrides:
    `getVariables` in class `Environment`
  Returns:
    the array of definitions; may be null
  Throws:
    `BuildException`

### addDefinitionsToList

    public void addDefinitionsToList(java.util.ListIterator listIt)

  add all definitions (including property sets) to a list

  Parameters:
    `listIt` - list iterator supporting add method

### size

    public int size()

  get the size of the sysproperties instance. This merges all property sets, so is not an O(1) operation.

  Returns:

### setSystem

    public void setSystem()
                   throws BuildException

  cache the system properties and set the system properties to the new values

  Throws:
    `BuildException` - if Security prevented this operation

### restoreSystem

    public void restoreSystem()
                       throws BuildException

  restore the system properties to the cached value

  Throws:
    `BuildException` - if Security prevented this operation, or there was no system properties to restore

### clone

    public java.lang.Object clone()

  deep clone

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a cloned instance of SysProperties

### addSyspropertyset

    public void addSyspropertyset(PropertySet ps)

  add a propertyset to the total set

  Parameters:
    `ps` - the new property set

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.